summaryrefslogtreecommitdiffstats
path: root/academic/tilem2/tilem2.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'academic/tilem2/tilem2.SlackBuild')
-rw-r--r--academic/tilem2/tilem2.SlackBuild114
1 files changed, 114 insertions, 0 deletions
diff --git a/academic/tilem2/tilem2.SlackBuild b/academic/tilem2/tilem2.SlackBuild
new file mode 100644
index 0000000000..5650d96dff
--- /dev/null
+++ b/academic/tilem2/tilem2.SlackBuild
@@ -0,0 +1,114 @@
+#!/bin/sh
+
+# Slackbuild for tilem2
+
+# Written by JK Wood <joshuakwood@gmail.com>
+
+# Slackbuild is released under the Dog-on-Fire License:
+# If use of this script causes your dog to catch on fire,
+# you agree to send me five dollars. Or a picture
+# of the dog on fire.
+# Otherwise, you're on your own. I've tested the script
+# on my own computer, and it hasn't broken anything.
+# So if it does it on your computer, that falls in
+# the realm of "Not my problem."
+#
+# Of course, if you'll send a bug report to the above
+# email address, I may be able to see what you did
+# wrong and prevent it from happening in the future.
+# In which case, I may just send YOU five dollars.
+
+# Oh, and feel free to copy it and modify it as you
+# see fit. Or as I see fit. Or as I fit. Although
+# that is unlikely, as I am rather tall.
+
+PRGNAM=tilem2
+SRCNAM=tilem
+VERSION=2.0
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.bz2
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find . \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# A few necessary patches
+# This adds -lm to the linker flags - comes from revision 661
+patch -p1 < $CWD/patches/add_-lm_to_libs_r661.patch
+
+# Fix a sprintf error on 64-bit - comes from
+# http://svn.calcforge.org/viewvc/repo-specfiles/fedora/tilem/tilem-2.0-64bit.patch
+patch -p1 < $CWD/patches/tilem-2.0-64bit.patch
+
+# Correct a non-fatal but annoying error in the .desktop file - comes from revision 668
+patch -p1 < $CWD/patches/desktop_file_fix_r668.patch
+
+# Don't force -O3
+sed -i 's|OPT_CFLAGS="-O3"|OPT_CFLAGS=""|' configure
+
+OPT_CFLAGS="" \
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --build=$ARCH-slackware-linux \
+
+make
+
+DESTDIR=$PKG make install
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a CHANGELOG COPYING INSTALL KEYS NEWS README THANKS TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $CWD/user_manual.pdf $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+find $PKG/usr/doc -name "Makefile" -exec rm {} \;
+find $PKG/usr/doc -type f -exec chmod 644 {} \;
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}